Announcement Announcement Module
Collapse
No announcement yet.
Upgrading to Hibernate 3.5.1 with Spring 2.5.6 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrading to Hibernate 3.5.1 with Spring 2.5.6

    Has anyone had luck in upgrading Hibernate 3.4/JPA 1.0 jars to Hibernate 3.5.1 and JPA 2.0 with Spring 2.5.6?

    I'm not interested in upgrading to Spring 3.0.2 as it breaks everything including Spring security 2.x.

    Thank you.

  • #2
    Spring 2.5 doesn't support JPA 2 only JPA 1, so the only way would be to either only use JPA1 and upgrade (although there are changes in spring 3 to make Hibernate 3.5 work) hibernate only.

    But judging from the changes made in spring 3 to make JPA 2 and Hibernate 3.5 work I doubt it will 'simply' work.

    Comment


    • #3
      Thanks for confirming that it will not work trivially. I spend a couple of days upgrading, and the amount of changes I had to do was non-trivial.

      I'll stay out of any future Spring releases and consider a migration to Guice, for the future.

      Comment


      • #4
        Upgrading to spring 3 shouldn't be that hard, it should be 99% backwards compatible so I'm not sure why you have so much trouble....

        Comment

        Working...
        X